For the complete documentation index, see llms.txt.

Orders
POST/api/orders/assign

Assign Orders

Assign unshipped orders by order_id or order_number from one account to another

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/assign

Details

Assign unshipped orders by order_id or order_number from one account to another

Assign Orders Request

Attribute Type Description
orders object list List of order assignments (Assign Order Model)

Assign Orders - Order Model

Attribute Type Description
order_id integer The unique numeric identifier for the order
order_number string The identifier of the order pulled from source e-Commerce platform
current_api_key string The api key of the account that the order currently resides in
new_api_key string The api key of the account that you wish to assign the order to

Assign Orders Response

Attribute Type Description
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "orders": [
    {
      "order_id": 121330827,
      "current_api_key": "CURRENT_API_KEY",
      "new_api_key": "NEW_API_KEY"
    }
  ]
}

Response examples

Assign Orders by order_number (200)
{
  "success": true
}
Assign Orders by order_id (200)
{
  "success": true
}

Related endpoints